 <!doctype html public "-/w3c/dtd html 4.0 transitional/en">
 <html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 <meta name="GENERATOR" content="Mozilla/4.5 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
 <title>LDAS CIT database Insertion Rates</title>
 </head>
 <body>
 
 <pre><b><font size=-1>LDAS Data Socket Transmission Roundtrip Rates</font></b></pre>
 <font size=-2>
 <table cellpadding=1>
 <tr>
 <th align=left width=200>Test Period:</th>
 <td width=300>March 29th, 2000</td>
 </tr>
 <tr>
 <th align=left width=200>Input data:</th>
 <td width=300>Ilwd with dimensions 1,10,100,1000,10000,100000<br>with container</td>
 <td>
 </tr>
 <tr>
 <th align=left width=200>Platforms:</th>
 <td width=300>Sun 450 <-> Sun 450 </td>
 <td>
 </tr>
 <tr>
 <th align=left width=200>LDAS software:</th>
 <td width=300>ldas-0.0.10, Sun Solaris 2.7 for Sun or Linux 6.1 for Intel Pentium</td>
 <td>
 </tr>
 </table></font>
<p>
<table border type=1>
<caption align=center><b>Mean Wall Time in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000635</td>
<td align=right bgcolor="#ffe6ab">0.000638</td>
<td align=right bgcolor="#ffe6cd">0.000636</td>
<td align=right bgcolor="#ffe669">0.000646</td>
<td align=right bgcolor="#ffe6ef">0.000799</td>
<td align=right bgcolor="#ffe6ab">0.009438</td>
<td align=right bgcolor="#ffe6cd">0.095222</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000626</td>
<td align=right bgcolor="#ffe6ab">0.000629</td>
<td align=right bgcolor="#ffe6cd">0.000641</td>
<td align=right bgcolor="#ffe669">0.000637</td>
<td align=right bgcolor="#ffe6ef">0.000792</td>
<td align=right bgcolor="#ffe6ab">0.009451</td>
<td align=right bgcolor="#ffe6cd">0.094551</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000633</td>
<td align=right bgcolor="#ffe6ab">0.000633</td>
<td align=right bgcolor="#ffe6cd">0.000625</td>
<td align=right bgcolor="#ffe669">0.000689</td>
<td align=right bgcolor="#ffe6ef">0.002038</td>
<td align=right bgcolor="#ffe6ab">0.018631</td>
<td align=right bgcolor="#ffe6cd">0.190357</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000634</td>
<td align=right bgcolor="#ffe6ab">0.000622</td>
<td align=right bgcolor="#ffe6cd">0.000665</td>
<td align=right bgcolor="#ffe669">0.000692</td>
<td align=right bgcolor="#ffe6ef">0.002020</td>
<td align=right bgcolor="#ffe6ab">0.018722</td>
<td align=right bgcolor="#ffe6cd">0.190608</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000640</td>
<td align=right bgcolor="#ffe6ab">0.000626</td>
<td align=right bgcolor="#ffe6cd">0.000636</td>
<td align=right bgcolor="#ffe669">0.000730</td>
<td align=right bgcolor="#ffe6ef">0.003812</td>
<td align=right bgcolor="#ffe6ab">0.038534</td>
<td align=right bgcolor="#ffe6cd">0.379572</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000636</td>
<td align=right bgcolor="#ffe6ab">0.000629</td>
<td align=right bgcolor="#ffe6cd">0.000636</td>
<td align=right bgcolor="#ffe669">0.000720</td>
<td align=right bgcolor="#ffe6ef">0.003646</td>
<td align=right bgcolor="#ffe6ab">0.037724</td>
<td align=right bgcolor="#ffe6cd">0.380250</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000632</td>
<td align=right bgcolor="#ffe6ab">0.000635</td>
<td align=right bgcolor="#ffe6cd">0.000648</td>
<td align=right bgcolor="#ffe669">0.000764</td>
<td align=right bgcolor="#ffe6ef">0.007717</td>
<td align=right bgcolor="#ffe6ab">0.075775</td>
<td align=right bgcolor="#ffe6cd">0.763275</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000632</td>
<td align=right bgcolor="#ffe6ab">0.000633</td>
<td align=right bgcolor="#ffe6cd">0.000634</td>
<td align=right bgcolor="#ffe669">0.000771</td>
<td align=right bgcolor="#ffe6ef">0.007739</td>
<td align=right bgcolor="#ffe6ab">0.076361</td>
<td align=right bgcolor="#ffe6cd">0.761550</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000635</td>
<td align=right bgcolor="#ffe6ab">0.000625</td>
<td align=right bgcolor="#ffe6cd">0.000630</td>
<td align=right bgcolor="#ffe669">0.000730</td>
<td align=right bgcolor="#ffe6ef">0.003627</td>
<td align=right bgcolor="#ffe6ab">0.037595</td>
<td align=right bgcolor="#ffe6cd">0.383354</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000621</td>
<td align=right bgcolor="#ffe6ab">0.000648</td>
<td align=right bgcolor="#ffe6cd">0.000633</td>
<td align=right bgcolor="#ffe669">0.000763</td>
<td align=right bgcolor="#ffe6ef">0.007745</td>
<td align=right bgcolor="#ffe6ab">0.079229</td>
<td align=right bgcolor="#ffe6cd">0.767313</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000714</td>
<td align=right bgcolor="#ffe6ab">0.000738</td>
<td align=right bgcolor="#ffe6cd">0.000814</td>
<td align=right bgcolor="#ffe669">0.001460</td>
<td align=right bgcolor="#ffe6ef">0.010391</td>
<td align=right bgcolor="#ffe6ab">0.211211</td>
<td align=right bgcolor="#ffe6cd">2.281610</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000724</td>
<td align=right bgcolor="#ffe6ab">0.000739</td>
<td align=right bgcolor="#ffe6cd">0.000793</td>
<td align=right bgcolor="#ffe669">0.001512</td>
<td align=right bgcolor="#ffe6ef">0.015693</td>
<td align=right bgcolor="#ffe6ab">0.223880</td>
<td align=right bgcolor="#ffe6cd">2.390930</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000724</td>
<td align=right bgcolor="#ffe6ab">0.000734</td>
<td align=right bgcolor="#ffe6cd">0.000841</td>
<td align=right bgcolor="#ffe669">0.001587</td>
<td align=right bgcolor="#ffe6ef">0.022646</td>
<td align=right bgcolor="#ffe6ab">0.248937</td>
<td align=right bgcolor="#ffe6cd">2.593200</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000722</td>
<td align=right bgcolor="#ffe6ab">0.000747</td>
<td align=right bgcolor="#ffe6cd">0.000864</td>
<td align=right bgcolor="#ffe669">0.002903</td>
<td align=right bgcolor="#ffe6ef">0.027551</td>
<td align=right bgcolor="#ffe6ab">0.311379</td>
<td align=right bgcolor="#ffe6cd">3.269900</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Wall Time standard deviation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000035</td>
<td align=right bgcolor="#ffe6ab">0.000029</td>
<td align=right bgcolor="#ffe6cd">0.000027</td>
<td align=right bgcolor="#ffe669">0.000031</td>
<td align=right bgcolor="#ffe6ef">0.000041</td>
<td align=right bgcolor="#ffe6ab">0.000649</td>
<td align=right bgcolor="#ffe6cd">0.002902</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000020</td>
<td align=right bgcolor="#ffe6ab">0.000020</td>
<td align=right bgcolor="#ffe6cd">0.000029</td>
<td align=right bgcolor="#ffe669">0.000021</td>
<td align=right bgcolor="#ffe6ef">0.000043</td>
<td align=right bgcolor="#ffe6ab">0.000647</td>
<td align=right bgcolor="#ffe6cd">0.000754</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000028</td>
<td align=right bgcolor="#ffe6ab">0.000041</td>
<td align=right bgcolor="#ffe6cd">0.000011</td>
<td align=right bgcolor="#ffe669">0.000022</td>
<td align=right bgcolor="#ffe6ef">0.000018</td>
<td align=right bgcolor="#ffe6ab">0.000607</td>
<td align=right bgcolor="#ffe6cd">0.007676</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000029</td>
<td align=right bgcolor="#ffe6ab">0.000004</td>
<td align=right bgcolor="#ffe6cd">0.000035</td>
<td align=right bgcolor="#ffe669">0.000031</td>
<td align=right bgcolor="#ffe6ef">0.000029</td>
<td align=right bgcolor="#ffe6ab">0.000839</td>
<td align=right bgcolor="#ffe6cd">0.008436</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000029</td>
<td align=right bgcolor="#ffe6ab">0.000012</td>
<td align=right bgcolor="#ffe6cd">0.000025</td>
<td align=right bgcolor="#ffe669">0.000034</td>
<td align=right bgcolor="#ffe6ef">0.001375</td>
<td align=right bgcolor="#ffe6ab">0.008123</td>
<td align=right bgcolor="#ffe6cd">0.008472</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000026</td>
<td align=right bgcolor="#ffe6ab">0.000025</td>
<td align=right bgcolor="#ffe6cd">0.000050</td>
<td align=right bgcolor="#ffe669">0.000034</td>
<td align=right bgcolor="#ffe6ef">0.000073</td>
<td align=right bgcolor="#ffe6ab">0.001168</td>
<td align=right bgcolor="#ffe6cd">0.011818</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000023</td>
<td align=right bgcolor="#ffe6ab">0.000028</td>
<td align=right bgcolor="#ffe6cd">0.000050</td>
<td align=right bgcolor="#ffe669">0.000010</td>
<td align=right bgcolor="#ffe6ef">0.000019</td>
<td align=right bgcolor="#ffe6ab">0.001447</td>
<td align=right bgcolor="#ffe6cd">0.037248</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000021</td>
<td align=right bgcolor="#ffe6ab">0.000022</td>
<td align=right bgcolor="#ffe6cd">0.000006</td>
<td align=right bgcolor="#ffe669">0.000020</td>
<td align=right bgcolor="#ffe6ef">0.000066</td>
<td align=right bgcolor="#ffe6ab">0.006613</td>
<td align=right bgcolor="#ffe6cd">0.018594</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000033</td>
<td align=right bgcolor="#ffe6ab">0.000014</td>
<td align=right bgcolor="#ffe6cd">0.000009</td>
<td align=right bgcolor="#ffe669">0.000034</td>
<td align=right bgcolor="#ffe6ef">0.000025</td>
<td align=right bgcolor="#ffe6ab">0.000609</td>
<td align=right bgcolor="#ffe6cd">0.018943</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000004</td>
<td align=right bgcolor="#ffe6ab">0.000034</td>
<td align=right bgcolor="#ffe6cd">0.000022</td>
<td align=right bgcolor="#ffe669">0.000005</td>
<td align=right bgcolor="#ffe6ef">0.000144</td>
<td align=right bgcolor="#ffe6ab">0.036178</td>
<td align=right bgcolor="#ffe6cd">0.053163</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000005</td>
<td align=right bgcolor="#ffe6ab">0.000033</td>
<td align=right bgcolor="#ffe6cd">0.000040</td>
<td align=right bgcolor="#ffe669">0.000051</td>
<td align=right bgcolor="#ffe6ef">0.000452</td>
<td align=right bgcolor="#ffe6ab">0.007186</td>
<td align=right bgcolor="#ffe6cd">0.048988</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000032</td>
<td align=right bgcolor="#ffe6ab">0.000036</td>
<td align=right bgcolor="#ffe6cd">0.000010</td>
<td align=right bgcolor="#ffe669">0.000050</td>
<td align=right bgcolor="#ffe6ef">0.000291</td>
<td align=right bgcolor="#ffe6ab">0.005045</td>
<td align=right bgcolor="#ffe6cd">0.016810</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000027</td>
<td align=right bgcolor="#ffe6ab">0.000030</td>
<td align=right bgcolor="#ffe6cd">0.000029</td>
<td align=right bgcolor="#ffe669">0.000056</td>
<td align=right bgcolor="#ffe6ef">0.008105</td>
<td align=right bgcolor="#ffe6ab">0.012412</td>
<td align=right bgcolor="#ffe6cd">0.020803</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000019</td>
<td align=right bgcolor="#ffe6ab">0.000037</td>
<td align=right bgcolor="#ffe6cd">0.000034</td>
<td align=right bgcolor="#ffe669">0.002133</td>
<td align=right bgcolor="#ffe6ef">0.000603</td>
<td align=right bgcolor="#ffe6ab">0.008138</td>
<td align=right bgcolor="#ffe6cd">0.046652</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Wall Time Coefficient of Variation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">5.470000</td>
<td align=right bgcolor="#ffe6ab">4.530000</td>
<td align=right bgcolor="#ffe6cd">4.320000</td>
<td align=right bgcolor="#ffe669">4.730000</td>
<td align=right bgcolor="#ffe6ef">5.140000</td>
<td align=right bgcolor="#ffe6ab">6.880000</td>
<td align=right bgcolor="#ffe6cd">3.050000</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">3.230000</td>
<td align=right bgcolor="#ffe6ab">3.150000</td>
<td align=right bgcolor="#ffe6cd">4.530000</td>
<td align=right bgcolor="#ffe669">3.270000</td>
<td align=right bgcolor="#ffe6ef">5.440000</td>
<td align=right bgcolor="#ffe6ab">6.850000</td>
<td align=right bgcolor="#ffe6cd">0.800000</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">4.460000</td>
<td align=right bgcolor="#ffe6ab">6.440000</td>
<td align=right bgcolor="#ffe6cd">1.770000</td>
<td align=right bgcolor="#ffe669">3.200000</td>
<td align=right bgcolor="#ffe6ef">0.900000</td>
<td align=right bgcolor="#ffe6ab">3.260000</td>
<td align=right bgcolor="#ffe6cd">4.030000</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">4.560000</td>
<td align=right bgcolor="#ffe6ab">0.570000</td>
<td align=right bgcolor="#ffe6cd">5.240000</td>
<td align=right bgcolor="#ffe669">4.540000</td>
<td align=right bgcolor="#ffe6ef">1.410000</td>
<td align=right bgcolor="#ffe6ab">4.480000</td>
<td align=right bgcolor="#ffe6cd">4.430000</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">4.490000</td>
<td align=right bgcolor="#ffe6ab">1.920000</td>
<td align=right bgcolor="#ffe6cd">3.940000</td>
<td align=right bgcolor="#ffe669">4.610000</td>
<td align=right bgcolor="#ffe6ef">36.080000</td>
<td align=right bgcolor="#ffe6ab">21.080000</td>
<td align=right bgcolor="#ffe6cd">2.230000</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">4.090000</td>
<td align=right bgcolor="#ffe6ab">3.930000</td>
<td align=right bgcolor="#ffe6cd">7.800000</td>
<td align=right bgcolor="#ffe669">4.700000</td>
<td align=right bgcolor="#ffe6ef">1.990000</td>
<td align=right bgcolor="#ffe6ab">3.100000</td>
<td align=right bgcolor="#ffe6cd">3.110000</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">3.630000</td>
<td align=right bgcolor="#ffe6ab">4.330000</td>
<td align=right bgcolor="#ffe6cd">7.760000</td>
<td align=right bgcolor="#ffe669">1.250000</td>
<td align=right bgcolor="#ffe6ef">0.250000</td>
<td align=right bgcolor="#ffe6ab">1.910000</td>
<td align=right bgcolor="#ffe6cd">4.880000</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">3.380000</td>
<td align=right bgcolor="#ffe6ab">3.450000</td>
<td align=right bgcolor="#ffe6cd">1.020000</td>
<td align=right bgcolor="#ffe669">2.650000</td>
<td align=right bgcolor="#ffe6ef">0.850000</td>
<td align=right bgcolor="#ffe6ab">8.660000</td>
<td align=right bgcolor="#ffe6cd">2.440000</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">5.160000</td>
<td align=right bgcolor="#ffe6ab">2.200000</td>
<td align=right bgcolor="#ffe6cd">1.470000</td>
<td align=right bgcolor="#ffe669">4.690000</td>
<td align=right bgcolor="#ffe6ef">0.680000</td>
<td align=right bgcolor="#ffe6ab">1.620000</td>
<td align=right bgcolor="#ffe6cd">4.940000</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.670000</td>
<td align=right bgcolor="#ffe6ab">5.250000</td>
<td align=right bgcolor="#ffe6cd">3.540000</td>
<td align=right bgcolor="#ffe669">0.720000</td>
<td align=right bgcolor="#ffe6ef">1.860000</td>
<td align=right bgcolor="#ffe6ab">45.660000</td>
<td align=right bgcolor="#ffe6cd">6.930000</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.760000</td>
<td align=right bgcolor="#ffe6ab">4.480000</td>
<td align=right bgcolor="#ffe6cd">4.850000</td>
<td align=right bgcolor="#ffe669">3.480000</td>
<td align=right bgcolor="#ffe6ef">4.350000</td>
<td align=right bgcolor="#ffe6ab">3.400000</td>
<td align=right bgcolor="#ffe6cd">2.150000</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">4.470000</td>
<td align=right bgcolor="#ffe6ab">4.880000</td>
<td align=right bgcolor="#ffe6cd">1.240000</td>
<td align=right bgcolor="#ffe669">3.280000</td>
<td align=right bgcolor="#ffe6ef">1.850000</td>
<td align=right bgcolor="#ffe6ab">2.250000</td>
<td align=right bgcolor="#ffe6cd">0.700000</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">3.670000</td>
<td align=right bgcolor="#ffe6ab">4.130000</td>
<td align=right bgcolor="#ffe6cd">3.410000</td>
<td align=right bgcolor="#ffe669">3.520000</td>
<td align=right bgcolor="#ffe6ef">35.790000</td>
<td align=right bgcolor="#ffe6ab">4.990000</td>
<td align=right bgcolor="#ffe6cd">0.800000</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">2.690000</td>
<td align=right bgcolor="#ffe6ab">4.970000</td>
<td align=right bgcolor="#ffe6cd">3.950000</td>
<td align=right bgcolor="#ffe669">73.460000</td>
<td align=right bgcolor="#ffe6ef">2.190000</td>
<td align=right bgcolor="#ffe6ab">2.610000</td>
<td align=right bgcolor="#ffe6cd">1.430000</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>Mean CPU Time in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001900</td>
<td align=right bgcolor="#ffe6cd">0.011400</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.004200</td>
<td align=right bgcolor="#ffe6cd">0.009500</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.005300</td>
<td align=right bgcolor="#ffe6cd">0.022600</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.011000</td>
<td align=right bgcolor="#ffe6cd">0.020600</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.008500</td>
<td align=right bgcolor="#ffe6cd">0.042900</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.009100</td>
<td align=right bgcolor="#ffe6cd">0.053300</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.016600</td>
<td align=right bgcolor="#ffe6cd">0.092400</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000100</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.009100</td>
<td align=right bgcolor="#ffe6cd">0.102400</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000100</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.006300</td>
<td align=right bgcolor="#ffe6cd">0.043000</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000100</td>
<td align=right bgcolor="#ffe6ab">0.007000</td>
<td align=right bgcolor="#ffe6cd">0.102800</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.009900</td>
<td align=right bgcolor="#ffe6ab">0.082100</td>
<td align=right bgcolor="#ffe6cd">0.931700</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.010100</td>
<td align=right bgcolor="#ffe6ab">0.088800</td>
<td align=right bgcolor="#ffe6cd">0.923200</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000100</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.007100</td>
<td align=right bgcolor="#ffe6ab">0.096000</td>
<td align=right bgcolor="#ffe6cd">1.024900</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.016000</td>
<td align=right bgcolor="#ffe6ab">0.127200</td>
<td align=right bgcolor="#ffe6cd">1.330700</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>CPU Time standard deviation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.003943</td>
<td align=right bgcolor="#ffe6cd">0.007657</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.004960</td>
<td align=right bgcolor="#ffe6cd">0.006093</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.006584</td>
<td align=right bgcolor="#ffe6cd">0.007992</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.008587</td>
<td align=right bgcolor="#ffe6cd">0.009081</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.004578</td>
<td align=right bgcolor="#ffe6cd">0.015654</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.005143</td>
<td align=right bgcolor="#ffe6cd">0.022921</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.010072</td>
<td align=right bgcolor="#ffe6cd">0.025746</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.006211</td>
<td align=right bgcolor="#ffe6cd">0.038589</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.001000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.005441</td>
<td align=right bgcolor="#ffe6cd">0.013890</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.005596</td>
<td align=right bgcolor="#ffe6cd">0.034731</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.012168</td>
<td align=right bgcolor="#ffe6cd">0.051543</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.001000</td>
<td align=right bgcolor="#ffe6ab">0.024216</td>
<td align=right bgcolor="#ffe6cd">0.059745</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.001000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.005374</td>
<td align=right bgcolor="#ffe6ab">0.032161</td>
<td align=right bgcolor="#ffe6cd">0.106453</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.007521</td>
<td align=right bgcolor="#ffe6ab">0.024867</td>
<td align=right bgcolor="#ffe6cd">0.066897</td>
</tr>


</table></font>
</p>
<p>
<table border type=1>
<caption align=center><b>CPU Time Coefficient of Variation in seconds (sample size=100)</b></caption>
<font size=-1>
<tr>
 <th align=left width=100>Type\dims</th>
 <th width=100 align=right>1</th>
 <th width=100 align=right>10</th>
 <th width=100 align=right>100</th>
 <th width=100 align=right>1000</th>
 <th width=100 align=right>10000</th>
 <th width=100 align=right>100000</th>
 <th width=100 align=right>1000000</th>
 </tr>
<th align=left width=100>char_s</th>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">207.510000</td>
<td align=right bgcolor="#ffe6cd">67.160000</td>
</tr>


<th align=left width=100>char_u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">118.110000</td>
<td align=right bgcolor="#ffe6cd">64.130000</td>
</tr>


<th align=left width=100>int_2s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">124.220000</td>
<td align=right bgcolor="#ffe6cd">35.360000</td>
</tr>


<th align=left width=100>int_2u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">78.060000</td>
<td align=right bgcolor="#ffe6cd">44.080000</td>
</tr>


<th align=left width=100>int_4s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">53.860000</td>
<td align=right bgcolor="#ffe6cd">36.490000</td>
</tr>


<th align=left width=100>int_4u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">56.520000</td>
<td align=right bgcolor="#ffe6cd">43.000000</td>
</tr>


<th align=left width=100>int_8s</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">60.680000</td>
<td align=right bgcolor="#ffe6cd">27.860000</td>
</tr>


<th align=left width=100>int_8u</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">1000.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">68.250000</td>
<td align=right bgcolor="#ffe6cd">37.680000</td>
</tr>


<th align=left width=100>real_4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">1000.000000</td>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">86.370000</td>
<td align=right bgcolor="#ffe6cd">32.300000</td>
</tr>


<th align=left width=100>real_8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">1000.000000</td>
<td align=right bgcolor="#ffe6ab">79.940000</td>
<td align=right bgcolor="#ffe6cd">33.780000</td>
</tr>


<th align=left width=100>lstring2</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">10.100000</td>
<td align=right bgcolor="#ffe6ab">14.820000</td>
<td align=right bgcolor="#ffe6cd">5.530000</td>
</tr>


<th align=left width=100>lstring4</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">9.900000</td>
<td align=right bgcolor="#ffe6ab">27.270000</td>
<td align=right bgcolor="#ffe6cd">6.470000</td>
</tr>


<th align=left width=100>lstring8</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">1000.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">75.690000</td>
<td align=right bgcolor="#ffe6ab">33.500000</td>
<td align=right bgcolor="#ffe6cd">10.390000</td>
</tr>


<th align=left width=100>lstring16</th>
<td align=right bgcolor="#ffe6ef">0.000000</td>
<td align=right bgcolor="#ffe6ab">0.000000</td>
<td align=right bgcolor="#ffe6cd">0.000000</td>
<td align=right bgcolor="#ffe669">0.000000</td>
<td align=right bgcolor="#ffe6ef">47.010000</td>
<td align=right bgcolor="#ffe6ab">19.550000</td>
<td align=right bgcolor="#ffe6cd">5.030000</td>
</tr>


</table></font>
</p>
<p>Summary: 
 </font>
 </body>
 </html>
